package osa.attribute.atgrammar.gui.dialogs;

import java.awt.*;
import javax.swing.*;

/**
 * <p>Title: </p>
 * <p>Description: </p>
 * <p>Copyright: </p>
 * <p>Company: </p>
 * @author not attributable
 * @version
 */

public class NewSymbolDialogPane
  extends JPanel
  {
  private static String promt="Введите новый символ...";

  JLabel promt_lbl = new JLabel();
  JTextField name_txtfld = new JTextField();
  JComboBox type_cmbx = new JComboBox();
  JLabel name_lbl = new JLabel();
  JLabel type_lbl = new JLabel();
  GridBagLayout gridBagLayout1 = new GridBagLayout();
  JPanel jPanel2 = new JPanel();
  BorderLayout borderLayout1 = new BorderLayout();
  GridLayout gridLayout1 = new GridLayout();
  JPanel jPanel1 = new JPanel();
  JButton cancel_button = new JButton();
  JButton ok_button = new JButton();
  Component component1;
  Component component2;
  Component component3;
  public NewSymbolDialogPane() {
    try {
      jbInit();
    }
    catch(Exception e) {
      e.printStackTrace();
    }
  }

  private void jbInit() throws Exception {
    component1 = Box.createHorizontalStrut(8);
    component2 = Box.createHorizontalStrut(8);
    component3 = Box.createHorizontalStrut(8);
    promt_lbl.setText(promt);
    this.setLayout(gridBagLayout1);
    name_txtfld.setText("jTextField1");
    name_lbl.setFont(new java.awt.Font("MS Sans Serif", 0, 11));
    name_lbl.setText("Имя символа:");
    type_lbl.setText("Тип символа:");
    jPanel2.setLayout(borderLayout1);
    gridLayout1.setColumns(5);
    gridLayout1.setHgap(5);
    gridLayout1.setVgap(5);
    jPanel1.setLayout(gridLayout1);
    cancel_button.setText("Cancel");
    ok_button.setText("OK");
    this.add(promt_lbl,               new GridBagConstraints(0, 0, 3, 1, 0.0, 0.0
            ,GridBagConstraints.CENTER, GridBagConstraints.NONE, new Insets(5, 5, 5, 5), 0, 0));
    this.add(name_txtfld,       new GridBagConstraints(0, 2, 2, 1, 1.0, 0.0
            ,GridBagConstraints.WEST, GridBagConstraints.HORIZONTAL, new Insets(5, 5, 5, 5), 0, 0));
    this.add(type_cmbx,        new GridBagConstraints(2, 2, 1, 1, 0.2, 0.0
            ,GridBagConstraints.CENTER, GridBagConstraints.HORIZONTAL, new Insets(5, 5, 5, 5), 0, 0));
    this.add(type_lbl,      new GridBagConstraints(2, 1, 1, 1, 0.0, 0.0
            ,GridBagConstraints.WEST, GridBagConstraints.NONE, new Insets(5, 5, 5, 5), 0, 0));
    this.add(name_lbl,      new GridBagConstraints(0, 1, 1, 1, 0.0, 0.0
            ,GridBagConstraints.WEST, GridBagConstraints.NONE, new Insets(5, 5, 5, 5), 0, 0));
    this.add(jPanel2,       new GridBagConstraints(0, 3, 3, 1, 0.0, 0.0
            ,GridBagConstraints.CENTER, GridBagConstraints.BOTH, new Insets(5, 5, 5, 5), 0, 0));
    jPanel2.add(jPanel1, BorderLayout.CENTER);

    jPanel1.add(component1, null);
    jPanel1.add(ok_button, null);
    jPanel1.add(component2, null);
    jPanel1.add(cancel_button, null);
    jPanel1.add(component3, null);
  }

}